form_field_info(3X)

NAME
form_field_info - retrieve field characteristics

SYNOPSIS
#include <form.h>
int field_info(const FIELD *field, int *rows, int *cols,
              int *frow, int *fcol, int *nrow, int *nbuf);
int dynamic_field_info(const FIELD *field, int *rows, int *cols, int *max);

DESCRIPTION
The function field_info returns the sizes and other attributes passed in to the field at its creation time. The attributes are: height, width, row of upper-left corner, column of upper-left corner, number off-screen rows, and number of working buffers.

The function dynamic_field_info returns the actual size of the field, and its maximum possible size. If the field has no size limit, the location addressed by the third argument will be set to 0. (A field can be made dynamic by turning off the O_STATIC).

RETURN VALUE
These routines return one of the following:

E_OK
    The routine succeeded.

E_SYSTEM_ERROR
    System error occurred (see errno).

E_BAD_ARGUMENT
    Routine detected an incorrect or out-of-range argument.

SEE ALSO
curses(3X) and related pages whose names begin "form_" for detailed descriptions of the entry points.

NOTES
The header file <form.h> automatically includes the header file <curses.h>.

PORTABILITY
These routines emulate the System V forms library. They were not supported on Version 7 or BSD versions.

A null (zero pointer) is accepted for any of the return values, to ignore that value. Not all implementations allow this, e.g., Solaris 2.7 does not.

AUTHORS
Juergen Pfeifer. Manual pages and adaptation for new curses by Eric S. Raymond.